Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228362 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpsim
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alain Portal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-12 20:02 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-28 15:28:09 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-12 20:02:39 UTC
gpsim - 0.22.0-2.fc7.x86_64
  Conflicts: 3
  File conflict in:
     /usr/share/doc/gpsim-0.22.0/examples/Makefile
     /usr/share/doc/gpsim-0.22.0/examples/projects/Makefile
     /usr/share/doc/gpsim-0.22.0/examples/modules/Makefile
  Packages with the same files:
     gpsim - 0.22.0-2.fc7.i386

Comment 1 Alain Portal 2007-02-13 07:40:06 UTC
Sorry Michael, but I don't understand where is the problem

Comment 2 Michael Schwendt 2007-02-13 10:00:57 UTC
gpsim.i386 and gpsim.x86_64 cannot be installed in parallel, because
these "Makefile"s create file conflicts. That is, their checksums
differ between i386 and x86_64 rpms.

[multi-lib is the concept that makes it possible to install libraries
built for a compatible hardware architecture alongside the libraries
for the native hardware, because both can used by corresponding
executables. For example, on x86_64 the native libs are installed
into /usr/lib64, while the compatible ix86 libs are installed into
/usr/lib. That is the reason why %_libdir expands to different values
on these systems. This also makes it possible to build ix86 binaries
on a x86_64 systems, because you only need to tell the compiler which
architecture to build for and install the needed -devel packages for
that architecture. Due to that, ix86 -devel rpms and their dependencies
are made available in the x86_64 repository.

In the context of this ticket, users of x86_64 hardware, who want to
or need to install gpsim for i386 (as a dependency of some i386 rpms),
could not have gpsim for x86_64 installed already, since both packages
conflict in these files.]


Comment 3 Alain Portal 2007-02-13 11:29:55 UTC
These Makefile are created at rpm build time.
So their checksums differ between i386 and x86_64 rpms.

And I don't know how to fix this problem.
Any idea?

Comment 4 Michael Schwendt 2007-02-13 11:47:45 UTC
Remove them? They are useless anyway, because they depend on a
various autotools stuff that is only available at build-time.

Btw, some of the examples come with makefiles, which don't work
either.


Comment 5 Alain Portal 2007-02-28 15:28:09 UTC
Humm, I forgot to close it, fixed since 2 weeks.


Note You need to log in before you can comment on or make changes to this bug.